function [phaseAverageData,phase,numSamplesBin,phaseStdDevData] = phaseAvg(data,periodLocs,numBins)
%data=raw data to be phase averaged
%periodLocs=indices of start/end points for a period
%numBins=number of averaging bins for a single period

numPhaseAveragingSamples=periodLocs(end)-periodLocs(1);
%Unable to phase average all data because of an incomplete period for the
%starting and ending phase (only phase averaging over complete periods)
numPeriods=length(periodLocs)-1; %Number of periods to phase average over
%numSamplesBin=floor(numPhaseAveragingSamples/numPeriods/numBins); 
numSamplesBin=1; %Number of samples per bin
numBins=min(diff(periodLocs)); 
if numPhaseAveragingSamples/numPeriods/numBins<1
    disp('Reduce number of bins. Not enough samples per period to properly bin.')
    return
end
%Need maximum number of samples-need to capture the entire signal
%Reject the user input of number of bins
for I=1:length(periodLocs)-1
    dataWindow=data(periodLocs(I):periodLocs(I+1));
    for i=1:numBins
        binningRange=[numSamplesBin*(i-1)+1,numSamplesBin*(i)];
        binSamples=dataWindow(binningRange(1):binningRange(2));
        length(binSamples);
        binAverage(I,i)=mean(binSamples);
    end
        %numPhaseAveragingSamples/numPeriods
end
phaseAverageData=mean(binAverage,1);
phaseStdDevData=std(binAverage,1);
phase=0:2*pi/(numBins-1):2*pi;
end